namespace efl { namespace text { 
inline ::efl::eolian::return_traits<double>::type Format::ellipsis_get() const
{
   double __return_value =  ::efl_text_ellipsis_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::ellipsis_set( ::efl::eolian::in_traits<double>::type value) const
{
    ::efl_text_ellipsis_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value));
}
inline ::efl::eolian::return_traits<Efl_Text_Format_Wrap>::type Format::wrap_get() const
{
   Efl_Text_Format_Wrap __return_value =  ::efl_text_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Format_Wrap>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::wrap_set( ::efl::eolian::in_traits<Efl_Text_Format_Wrap>::type wrap) const
{
    ::efl_text_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Format_Wrap,  ::efl::eolian::in_traits<Efl_Text_Format_Wrap>::type>(wrap));
}
inline ::efl::eolian::return_traits<bool>::type Format::multiline_get() const
{
   Eina_Bool __return_value =  ::efl_text_multiline_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::multiline_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_text_multiline_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type Format::halign_get() const
{
   Efl_Text_Format_Horizontal_Alignment_Type __return_value =  ::efl_text_halign_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::halign_set( ::efl::eolian::in_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type value) const
{
    ::efl_text_halign_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Format_Horizontal_Alignment_Type,  ::efl::eolian::in_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type>(value));
}
inline ::efl::eolian::return_traits<Efl_Text_Format_Vertical_Alignment_Type>::type Format::valign_get() const
{
   Efl_Text_Format_Vertical_Alignment_Type __return_value =  ::efl_text_valign_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Format_Vertical_Alignment_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::valign_set( ::efl::eolian::in_traits<Efl_Text_Format_Vertical_Alignment_Type>::type value) const
{
    ::efl_text_valign_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Format_Vertical_Alignment_Type,  ::efl::eolian::in_traits<Efl_Text_Format_Vertical_Alignment_Type>::type>(value));
}
inline ::efl::eolian::return_traits<double>::type Format::linegap_get() const
{
   double __return_value =  ::efl_text_linegap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::linegap_set( ::efl::eolian::in_traits<double>::type value) const
{
    ::efl_text_linegap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value));
}
inline ::efl::eolian::return_traits<double>::type Format::linerelgap_get() const
{
   double __return_value =  ::efl_text_linerelgap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::linerelgap_set( ::efl::eolian::in_traits<double>::type value) const
{
    ::efl_text_linerelgap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value));
}
inline ::efl::eolian::return_traits<int>::type Format::tabstops_get() const
{
   int __return_value =  ::efl_text_tabstops_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::tabstops_set( ::efl::eolian::in_traits<int>::type value) const
{
    ::efl_text_tabstops_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(value));
}
inline ::efl::eolian::return_traits<bool>::type Format::password_get() const
{
   Eina_Bool __return_value =  ::efl_text_password_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::password_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_text_password_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Format::replacement_char_get() const
{
   const char * __return_value =  ::efl_text_replacement_char_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::replacement_char_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type repch) const
{
    ::efl_text_replacement_char_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(repch));
}
} } 
namespace eo_cxx {
namespace efl { namespace text { 
inline ::efl::eolian::return_traits<double>::type Format::ellipsis_get() const
{
   double __return_value =  ::efl_text_ellipsis_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::ellipsis_set( ::efl::eolian::in_traits<double>::type value) const
{
    ::efl_text_ellipsis_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value));
}
inline ::efl::eolian::return_traits<Efl_Text_Format_Wrap>::type Format::wrap_get() const
{
   Efl_Text_Format_Wrap __return_value =  ::efl_text_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Format_Wrap>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::wrap_set( ::efl::eolian::in_traits<Efl_Text_Format_Wrap>::type wrap) const
{
    ::efl_text_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Format_Wrap,  ::efl::eolian::in_traits<Efl_Text_Format_Wrap>::type>(wrap));
}
inline ::efl::eolian::return_traits<bool>::type Format::multiline_get() const
{
   Eina_Bool __return_value =  ::efl_text_multiline_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::multiline_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_text_multiline_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type Format::halign_get() const
{
   Efl_Text_Format_Horizontal_Alignment_Type __return_value =  ::efl_text_halign_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::halign_set( ::efl::eolian::in_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type value) const
{
    ::efl_text_halign_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Format_Horizontal_Alignment_Type,  ::efl::eolian::in_traits<Efl_Text_Format_Horizontal_Alignment_Type>::type>(value));
}
inline ::efl::eolian::return_traits<Efl_Text_Format_Vertical_Alignment_Type>::type Format::valign_get() const
{
   Efl_Text_Format_Vertical_Alignment_Type __return_value =  ::efl_text_valign_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Format_Vertical_Alignment_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::valign_set( ::efl::eolian::in_traits<Efl_Text_Format_Vertical_Alignment_Type>::type value) const
{
    ::efl_text_valign_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Format_Vertical_Alignment_Type,  ::efl::eolian::in_traits<Efl_Text_Format_Vertical_Alignment_Type>::type>(value));
}
inline ::efl::eolian::return_traits<double>::type Format::linegap_get() const
{
   double __return_value =  ::efl_text_linegap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::linegap_set( ::efl::eolian::in_traits<double>::type value) const
{
    ::efl_text_linegap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value));
}
inline ::efl::eolian::return_traits<double>::type Format::linerelgap_get() const
{
   double __return_value =  ::efl_text_linerelgap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::linerelgap_set( ::efl::eolian::in_traits<double>::type value) const
{
    ::efl_text_linerelgap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(value));
}
inline ::efl::eolian::return_traits<int>::type Format::tabstops_get() const
{
   int __return_value =  ::efl_text_tabstops_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::tabstops_set( ::efl::eolian::in_traits<int>::type value) const
{
    ::efl_text_tabstops_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(value));
}
inline ::efl::eolian::return_traits<bool>::type Format::password_get() const
{
   Eina_Bool __return_value =  ::efl_text_password_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::password_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_text_password_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Format::replacement_char_get() const
{
   const char * __return_value =  ::efl_text_replacement_char_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Format::replacement_char_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type repch) const
{
    ::efl_text_replacement_char_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(repch));
}
inline efl::text::Format::operator ::efl::text::Format() const { return *static_cast< ::efl::text::Format const*>(static_cast<void const*>(this)); }
inline efl::text::Format::operator ::efl::text::Format&() { return *static_cast< ::efl::text::Format*>(static_cast<void*>(this)); }
inline efl::text::Format::operator ::efl::text::Format const&() const { return *static_cast< ::efl::text::Format const*>(static_cast<void const*>(this)); }
} } }

